Module jdk.jshell
Package jdk.jshell

## Class StatementSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.StatementSnippet

-     public class StatementSnippet
      extends Snippet

  Snippet for a statement. The Kind is `Snippet.Kind.STATEMENT`.

  `StatementSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

  Since:
    9
  See The Java™ Language Specification:
    14.5: Statement.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class jdk.jshell.Snippet

      `Snippet.Kind, Snippet.Status, Snippet.SubKind`

  - ### Method Summary

    - ### Methods declared in class jdk.jshell.Snippet

      `id, kind, source, subKind`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`